import { State } from './state.js';
export { State } from './state.js';
import { EnhancedState } from './state.enhanced.js';
import { defineConfig, removeProperties } from '@agile-ts/utils';
import { shared as sharedAgileInstance } from '../shared.js';

function createLightState(initialValue, config = {}) {
  config = defineConfig(config, {
    agileInstance: sharedAgileInstance
  });
  return new State(config.agileInstance, initialValue, removeProperties(config, ["agileInstance"]));
}
function createState(initialValue, config = {}) {
  config = defineConfig(config, {
    agileInstance: sharedAgileInstance
  });
  return new EnhancedState(config.agileInstance, initialValue, removeProperties(config, ["agileInstance"]));
}

export { createLightState, createState };
